## python-soundcard 0.4.5

=== doc/requirements.txt ===
cffi
numpy>=1.11
