=== debian/changelog ===
python-soundcard (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1129028)

 -- Edward Betts <edward@4angle.com>  Wed, 25 Feb 2026 15:36:55 +0000
