=== debian/control ===
Source: python-soundcard
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 libpython3.13 <!nocheck>,
 libpython3.14 <!nocheck>,
 pipewire-pulse <!nocheck> | pulseaudio <!nocheck>,
 pulseaudio-utils <!nocheck>,
 python3-cffi <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pyinstaller <!nocheck>,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/bastibe/SoundCard
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-soundcard
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-soundcard.git

Package: python3-soundcard
Architecture: all
Depends:
 pipewire-pulse | pulseaudio,
 ${misc:Depends},
 ${python3:Depends},
Description: Audio playback and recording interface for system sound devices
 This library provides access to audio input and output devices for recording
 and playback.
 .
 It enumerates available speakers and microphones, exposes the current default
 devices, and allows selecting devices by name. Audio is exchanged as frame-by-
 channel NumPy arrays with samples scaled to 0 dBFS, where values are typically
 kept between -1 and 1 to avoid clipping.
 .
 For streaming operation it provides long-lived recorder and player objects
 with adjustable block sizes, allowing control over buffering and latency. It
 also supports selecting subsets of channels through channel maps so that
 multi-channel devices can be addressed in a predictable way.
