=== debian/tests/control ===
Tests: pytest
Depends: @, @builddeps@
Restrictions: allow-stderr
