=== debian/watch ===
Version: 5

Template: Github
Owner: bastibe
Project: SoundCard
